#ifndef __DEBUG_H
#define __DEBUG_H

#include <stdint.h>

#define DEBUGCHARS 100
extern char debugStr[];
extern volatile uint8_t dbgStrFill; // amount of available chars in debugStr
extern volatile uint8_t dbgHasNewSPI;
extern volatile char dbgCurChar;


void dbgLog(const char* fmt, ...);
uint8_t dbgHasNew();
char dbgReadChar();
void dbgAdvanceChar();
#endif
